## yosys-plugin-ghdl 0.0~git20211127.09a32cd

=== Makefile ===
# Build ghdl module for yosys

# Name or path to the ghdl executable.
GHDL=ghdl

YOSYS_CONFIG=yosys-config
SOEXT=so

CFLAGS ?= -O

LIBGHDL_LIB:=$(shell $(GHDL) --libghdl-library-path)
LIBGHDL_INC:=$(shell $(GHDL) --libghdl-include-dir)

ALL_LDFLAGS=$(LIBGHDL_LIB) -Wl,-rpath,$(dir $(LIBGHDL_LIB)) $(LDFLAGS)

ALL_CFLAGS=-fPIC -DYOSYS_ENABLE_GHDL -I$(LIBGHDL_INC) $(CFLAGS)

VER_HASH=$(shell git rev-parse --short HEAD || echo "unknown")

all: ghdl.$(SOEXT)

ghdl.$(SOEXT): ghdl.o
	$(YOSYS_CONFIG) --build $@ $< -shared $(ALL_LDFLAGS)

ghdl.o: src/ghdl.cc
	$(YOSYS_CONFIG) --exec --cxx -c --cxxflags -o $@ $< $(ALL_CFLAGS) -DGHDL_VER_HASH="\"$(VER_HASH)\""

clean: force
	$(RM) -f ghdl.$(SOEXT) ghdl.o

install: ghdl.$(SOEXT)
	$(YOSYS_CONFIG) --exec mkdir -p --datdir/plugins
	$(YOSYS_CONFIG) --exec cp $< --datdir/plugins

-include src/ghdl.d

force:

=== debian/changelog ===
yosys-plugin-ghdl (0.0~git20211127.09a32cd-3) unstable; urgency=medium

  * Rebuild against yosys_0.30-3

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 13:59:32 +0200

yosys-plugin-ghdl (0.0~git20211127.09a32cd-2) unstable; urgency=medium

  * Fix homepage link
  * Fix Vcs URLs
  * Add patch: Fix to block RAM handling

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 15 Jun 2023 01:22:08 +0200

yosys-plugin-ghdl (0.0~git20211127.09a32cd-1) unstable; urgency=medium

  * Initial release (Closes: #1003315)

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 06 Feb 2023 21:28:50 +0100

=== debian/control ===
Source: yosys-plugin-ghdl
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Daniel Gröber <dxld@darkboxed.org>
Build-Depends:
 debhelper-compat (= 13),
 yosys-dev,
 libghdl-dev (>= 2.0.0),
 ghdl-gcc (>= 2.0.0)
Standards-Version: 4.6.2
Homepage: https://github.com/ghdl/ghdl-yosys-plugin
Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/yosys-plugin-ghdl
Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/yosys-plugin-ghdl.git
Rules-Requires-Root: no

Package: yosys-plugin-ghdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VHDL to RTL synthesis plugin using GHDL
 This yosys plugin allows running RTL synthesis from VHDL source code
 instead of yosys' native Verilog.
 .
 This allows a full synthesis flow from VHDL to hardware for FPGAs where
 the GHDL compiler is used to analyse the VHDL sources and yosys is used to
 perform logic optimization, technology mapping and convertion to netlist
 format.

## yosys-plugin-ghdl 0.0~git20230419.5b64ccf

=== debian/changelog ===
yosys-plugin-ghdl (0.0~git20230419.5b64ccf-1ubuntu2) noble; urgency=medium

  * No-change upload to build with ghdl 4.1.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Apr 2024 13:46:11 +0200

yosys-plugin-ghdl (0.0~git20230419.5b64ccf-1ubuntu1) noble; urgency=medium

  * Build using ghdl-gcc.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Apr 2024 13:40:29 +0200

yosys-plugin-ghdl (0.0~git20230419.5b64ccf-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:47:07 +1100

yosys-plugin-ghdl (0.0~git20230419.5b64ccf-1build1) noble; urgency=medium

  * No-change upload to build with ghdl 4.0.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 23:03:06 +0100

yosys-plugin-ghdl (0.0~git20230419.5b64ccf-1) unstable; urgency=medium

  * New upstream version 0.0~git20230419.5b64ccf
  * Switch to ghdl 3.0.0
  * Use ghdl-mcode instead of ghdl-gcc as it's more portable

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 29 Sep 2023 16:22:45 +0200

yosys-plugin-ghdl (0.0~git20211127.09a32cd-3) untsable; urgency=medium

  * Rebuild against yosys_0.30-3

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 13:59:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: yosys-plugin-ghdl
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Daniel Gröber <dxld@darkboxed.org>
 Build-Depends:
  debhelper-compat (= 13),
  yosys-dev,
- libghdl-dev (>= 2.0.0),
- ghdl-gcc (>= 2.0.0)
+ libghdl-dev (>= 3.0.0),
+ ghdl-gcc (>= 4.0.0),
 Standards-Version: 4.6.2
 Homepage: https://github.com/ghdl/ghdl-yosys-plugin
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/yosys-plugin-ghdl

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PLUGINDIR=/usr/lib/yosys/plugins/

override_dh_auto_clean:
	dh_auto_clean
	-rm ghdl.d


override_dh_installdocs:
	dh_installdocs
	find debian/yosys-plugin-ghdl/usr/share/doc/yosys-plugin-ghdl/examples \
		-type f -exec chmod -x \{} +

=== debian/tests/control ===
Tests: run-testsuite
Depends: @, ghdl-gcc, yosys
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=mode=git \
https://github.com/ghdl/ghdl-yosys-plugin.git \
HEAD debian uupdate
